<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            Upload Shipping List
        </p-header>

        <div class="modal-body">
            <div>
                <div class="pull-right">
                    <label class="ui-button ui-widget ui-state-default ui-corner-all ui-button-text-icon-left label-upload orange">
                        <i class="fa fa-file-o" aria-hidden="true"></i><span class="label-uploaded">Browse</span>
                        <input type="file" (change)="onFileChange($event)" accept=".umsl" multiple="false" hidden/>
                    </label>
                </div>
                <div style="clear:both"></div>
            </div>
            
            <p-dataTable 
                [value]="packageReceiptUpload"
                emptyMessage = "{{'mpmApp.packageReceipt.upload.emptyMessage' | translate}}">
                <p-header>
                    <div class="row"></div>
                </p-header>
                <p-column header="{{'mpmApp.packageReceipt.upload.shippingListNumber'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.shippingListNumber}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.dateCreate'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.dateCreate | date: 'dd-MM-yyyy'}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.dealerCode01'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.dealerCode01}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.dealerCode02'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.dealerCode02}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.unitCode'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.idProduct}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.colorCode'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.idColor}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.frameNumber'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.idFrame}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.machineNumber'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.idMachine}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.yearAssembly'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.yearAssembly}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.invoiceNumber'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.invoiceNumber}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.expedition'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.expedition}}
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.packageReceipt.upload.expeditionVehicleNumber'|translate}}" [style]="{'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div>
                            {{rowData.expeditionVehicleNumber}}
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    